Multivariate Pattern Analysis in Python

# mvpa2.base.verbosity.Logger

class `mvpa2.base.verbosity.``Logger`(handlers=None)

  Base class to provide logging

  Attributes

  `handlers` | Return active handlers
  `lfprev` |

  Methods

  `__call__`(msg[, args, lf, cr]) | Write msg to each of the handlers.

  Initialize the logger with a set of handlers to use for output

  Each hanlder must have write() method implemented

  Attributes

  `handlers` | Return active handlers
  `lfprev` |

  Methods

  `__call__`(msg[, args, lf, cr]) | Write msg to each of the handlers.

  `handlers`

    Return active handlers

  `lfprev`